- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Friends

# QDirIterator Class Reference

Search for all occurrences

## Detailed Description

Definition at line 54 of file qdiriterator.h.

`#include <qdiriterator.h>`

List of all members.

## Public Types
enum | IteratorFlag { NoIteratorFlags = 0x0, FollowSymlinks = 0x1, Subdirectories = 0x2 }
## Public Member Functions
| QDirIterator (const QDir &dir, IteratorFlags flags=NoIteratorFlags)
| QDirIterator (const QString &path, IteratorFlags flags=NoIteratorFlags)
| QDirIterator (const QString &path, QDir::Filters filter, IteratorFlags flags=NoIteratorFlags)
| QDirIterator (const QString &path, const QStringList &nameFilters, QDir::Filters filters=QDir::NoFilter, IteratorFlags flags=NoIteratorFlags)
virtual | ~QDirIterator ()
QString | next ()
bool | hasNext () const
QString | fileName () const
QString | filePath () const
QFileInfo | fileInfo () const
QString | path () const
## Friends
class | QDir

## Member Enumeration Documentation

enum IteratorFlag

Search for all occurrences

Enumerator:

  NoIteratorFlags | Search for all occurrences
  FollowSymlinks | Search for all occurrences
  Subdirectories | Search for all occurrences

Definition at line 56 of file qdiriterator.h.

                          {
            NoIteratorFlags = 0x0,
            FollowSymlinks = 0x1,
            Subdirectories = 0x2
        };

## Constructor & Destructor Documentation

QDirIterator | ( | const QDir & | dir,
|  | IteratorFlags | flags = `NoIteratorFlags`
| ) |  |

QDirIterator | ( | const QString & | path,
|  | IteratorFlags | flags = `NoIteratorFlags`
| ) |  |

QDirIterator | ( | const QString & | path,
|  | QDir::Filters | filter,
|  | IteratorFlags | flags = `NoIteratorFlags`
| ) |  |

QDirIterator | ( | const QString & | path,
|  | const QStringList & | nameFilters,
|  | QDir::Filters | filters = `QDir::NoFilter`,
|  | IteratorFlags | flags = `NoIteratorFlags`
| ) |  |

virtual ~QDirIterator | ( |  | ) | `[virtual]`

## Member Function Documentation

QString next | ( |  | ) |

Search for all occurrences

bool hasNext | ( |  | ) | const

Search for all occurrences

QString fileName | ( |  | ) | const

Search for all occurrences

QString filePath | ( |  | ) | const

Search for all occurrences

QFileInfo fileInfo | ( |  | ) | const

Search for all occurrences

QString path | ( |  | ) | const

Search for all occurrences

## Friends And Related Function Documentation

friend class QDir `[friend]`

Search for all occurrences

Definition at line 88 of file qdiriterator.h.

The documentation for this class was generated from the following file:

- QtCore/qdiriterator.h

QDirIterator QDirIterator QDirIterator QDirIterator QDirIterator QDirIterator QDirIterator QDirIterator QDirIterator QDirIterator
QDirIterator QDirIterator QDirIterator QDirIterator QDirIterator QDirIterator QDirIterator QDirIterator QDirIterator QDirIterator